Loading...
Searching...
No Matches
PluginDict Class Reference

`#include <gx_main_window.h>`

Inheritance diagram for PluginDict:

## Public Types

typedef std::map< std::string, PluginUI * >::iterator | iterator

## Public Member Functions

| PluginDict (gx_engine::GxMachineBase &machine, gx_system::CmdlineOptions &options, Gtk::ToolPalette &toolpalette, gx_gui::StackBoxBuilder &boxbuilder, UIManager &uimanager)
| ~PluginDict ()
void | cleanup ()
void | add_bare (const char *id, Gtk::Container *box)
void | add (PluginUI *p)
void | remove (PluginUI *p)
PluginUI * | operator[] (const std::string &s)
void | compress (bool state)
bool | get_plugins_hidden ()
void | set_config_mode (bool state)
bool | get_config_mode ()
RackContainer & | get_monorackcontainer ()
RackContainer & | get_stereorackcontainer ()
double | stop_at (RackContainer *container, double off, double step_size, double page_size)
void | show_entries ()
void | hide_entries ()
void | check_order ()
void | check_order (PluginType tp, bool animate)
void | unit_order_changed (bool stereo)
void | reorder (RackContainer *container, const std::string &name, const std::string &before)
bool | use_animations ()
void | on_tp_drag_data_received (const Glib::RefPtr< Gdk::DragContext > &context, int x, int y, const Gtk::SelectionData &data, int info, int timestamp)
gx_engine::GxMachineBase & | get_machine ()
gx_system::CmdlineOptions & | get_options ()
void | plugin_preset_popup (const PluginDef *pdef)
void | plugin_preset_popup (const PluginDef *pdef, const Glib::ustring &name)
RackBox * | add_rackbox_internal (PluginUI &plugin, Gtk::Widget *mainwidget, Gtk::Widget *miniwidget, bool mini=false, int pos=-1, bool animate=false, Gtk::Widget *bare=0)
RackBox * | add_rackbox (PluginUI &pl, bool mini=false, int pos=-1, bool animate=false)
void | pluginlist_append (std::vector< PluginUI * > &p)
void | add_plugin (std::vector< PluginUI * > &p, const char *id, const Glib::ustring &tooltip_="")
PluginUI * | activate (const string &id, const string &before, bool animate)
PluginUI * | deactivate (const string &id, bool animate)

## Public Attributes

DragIcon * | drag_icon

## Private Member Functions

Glib::ustring | category_id (const std::string &group, bool stereo)
void | on_plugin_changed (gx_engine::Plugin *pl, gx_engine::PluginChange::pc c)
Gtk::ToolItemGroup * | add_plugin_category (const char *cat, bool collapse=true)
Glib::ustring | add_plugin_menu_entry (PluginUI *pui)
void | remove_plugin_menu_entry (PluginUI *pui)
void | register_plugin (PluginUI *pui)
void | fill_pluginlist ()

## Private Attributes

RackContainer | monorackcontainer
RackContainer | stereorackcontainer
std::map< Glib::ustring, Gtk::ToolItemGroup * > | groupmap
std::vector< std::string > | monotargets
std::vector< std::string > | stereotargets
gx_gui::StackBoxBuilder & | boxbuilder
gx_engine::GxMachineBase & | machine
gx_system::CmdlineOptions & | options
Gtk::ToolPalette & | toolpalette
UIManager & | uimanager
bool | config_mode
bool | plugins_hidden

## Detailed Description

Definition at line 502 of file gx_main_window.h.

## Member Typedef Documentation

## iterator

typedef std::map<std::string,PluginUI*>::iterator PluginDict::iterator

Definition at line 527 of file gx_main_window.h.

## Constructor & Destructor Documentation

## PluginDict()

PluginDict::PluginDict | ( | gx_engine::GxMachineBase & | machine,
|  | gx_system::CmdlineOptions & | options,
|  | Gtk::ToolPalette & | toolpalette,
|  | gx_gui::StackBoxBuilder & | boxbuilder,
|  | UIManager & | uimanager )

## ~PluginDict()

PluginDict::~PluginDict | ( |  | ) |

## Member Function Documentation

## activate()

PluginUI * PluginDict::activate | ( | const string & | id,
|  | const string & | before,
|  | bool | animate )

## add()

void PluginDict::add | ( | PluginUI * | p | ) |

## add_bare()

void PluginDict::add_bare | ( | const char * | id,
|  | Gtk::Container * | box )

## add_plugin()

void PluginDict::add_plugin | ( | std::vector< PluginUI * > & | p,
|  | const char * | id,
|  | const Glib::ustring & | tooltip_ = "" )

## add_plugin_category()

Gtk::ToolItemGroup * PluginDict::add_plugin_category | ( | const char * | cat,
|  | bool | collapse = true )

private

## add_plugin_menu_entry()

Glib::ustring PluginDict::add_plugin_menu_entry | ( | PluginUI * | pui | ) |

private

## add_rackbox()

RackBox * PluginDict::add_rackbox | ( | PluginUI & | pl,
|  | bool | mini = false,
|  | int | pos = -1,
|  | bool | animate = false )

## add_rackbox_internal()

RackBox * PluginDict::add_rackbox_internal | ( | PluginUI & | plugin,
|  | Gtk::Widget * | mainwidget,
|  | Gtk::Widget * | miniwidget,
|  | bool | mini = false,
|  | int | pos = -1,
|  | bool | animate = false,
|  | Gtk::Widget * | bare = 0 )

## category_id()

Glib::ustring PluginDict::category_id | ( | const std::string & | group,
|  | bool | stereo )

private

## check_order() [1/2]

void PluginDict::check_order | ( |  | ) |

## check_order() [2/2]

void PluginDict::check_order | ( | PluginType | tp,
|  | bool | animate )

## cleanup()

void PluginDict::cleanup | ( |  | ) |

## compress()

void PluginDict::compress | ( | bool | state | ) |

## deactivate()

PluginUI * PluginDict::deactivate | ( | const string & | id,
|  | bool | animate )

## fill_pluginlist()

void PluginDict::fill_pluginlist | ( |  | ) |

private

## get_config_mode()

bool PluginDict::get_config_mode | ( |  | ) |

inline

Definition at line 542 of file gx_main_window.h.

## get_machine()

gx_engine::GxMachineBase & PluginDict::get_machine | ( |  | ) |

inline

Definition at line 554 of file gx_main_window.h.

## get_monorackcontainer()

RackContainer & PluginDict::get_monorackcontainer | ( |  | ) |

inline

Definition at line 543 of file gx_main_window.h.

## get_options()

gx_system::CmdlineOptions & PluginDict::get_options | ( |  | ) |

inline

Definition at line 555 of file gx_main_window.h.

## get_plugins_hidden()

bool PluginDict::get_plugins_hidden | ( |  | ) |

inline

Definition at line 540 of file gx_main_window.h.

## get_stereorackcontainer()

RackContainer & PluginDict::get_stereorackcontainer | ( |  | ) |

inline

Definition at line 544 of file gx_main_window.h.

## hide_entries()

void PluginDict::hide_entries | ( |  | ) |

## on_plugin_changed()

void PluginDict::on_plugin_changed | ( | gx_engine::Plugin * | pl,
|  | gx_engine::PluginChange::pc | c )

private

## on_tp_drag_data_received()

void PluginDict::on_tp_drag_data_received | ( | const Glib::RefPtr< Gdk::DragContext > & | context,
|  | int | x,
|  | int | y,
|  | const Gtk::SelectionData & | data,
|  | int | info,
|  | int | timestamp )

## operator[]()

PluginUI * PluginDict::operator[] | ( | const std::string & | s | ) |

inline

Definition at line 536 of file gx_main_window.h.

## plugin_preset_popup() [1/2]

void PluginDict::plugin_preset_popup | ( | const PluginDef * | pdef | ) |

## plugin_preset_popup() [2/2]

void PluginDict::plugin_preset_popup | ( | const PluginDef * | pdef,
|  | const Glib::ustring & | name )

## pluginlist_append()

void PluginDict::pluginlist_append | ( | std::vector< PluginUI * > & | p | ) |

## register_plugin()

void PluginDict::register_plugin | ( | PluginUI * | pui | ) |

private

## remove()

void PluginDict::remove | ( | PluginUI * | p | ) |

## remove_plugin_menu_entry()

void PluginDict::remove_plugin_menu_entry | ( | PluginUI * | pui | ) |

private

## reorder()

void PluginDict::reorder | ( | RackContainer * | container,
|  | const std::string & | name,
|  | const std::string & | before )

## set_config_mode()

void PluginDict::set_config_mode | ( | bool | state | ) |

## show_entries()

void PluginDict::show_entries | ( |  | ) |

## stop_at()

double PluginDict::stop_at | ( | RackContainer * | container,
|  | double | off,
|  | double | step_size,
|  | double | page_size )

## unit_order_changed()

void PluginDict::unit_order_changed | ( | bool | stereo | ) |

## use_animations()

bool PluginDict::use_animations | ( |  | ) |

inline

Definition at line 552 of file gx_main_window.h.

## Member Data Documentation

## boxbuilder

gx_gui::StackBoxBuilder& PluginDict::boxbuilder

private

Definition at line 509 of file gx_main_window.h.

Referenced by PluginDict().

## config_mode

bool PluginDict::config_mode

private

Definition at line 514 of file gx_main_window.h.

Referenced by get_config_mode().

## drag_icon

DragIcon* PluginDict::drag_icon

Definition at line 517 of file gx_main_window.h.

## groupmap

std::map<Glib::ustring, Gtk::ToolItemGroup*> PluginDict::groupmap

private

Definition at line 506 of file gx_main_window.h.

## machine

gx_engine::GxMachineBase& PluginDict::machine

private

Definition at line 510 of file gx_main_window.h.

Referenced by get_machine(), and PluginDict().

## monorackcontainer

RackContainer PluginDict::monorackcontainer

private

Definition at line 504 of file gx_main_window.h.

Referenced by get_monorackcontainer().

## monotargets

std::vector<std::string> PluginDict::monotargets

private

Definition at line 507 of file gx_main_window.h.

## options

gx_system::CmdlineOptions& PluginDict::options

private

Definition at line 511 of file gx_main_window.h.

Referenced by get_options(), PluginDict(), and use_animations().

## plugins_hidden

bool PluginDict::plugins_hidden

private

Definition at line 515 of file gx_main_window.h.

Referenced by get_plugins_hidden().

## stereorackcontainer

RackContainer PluginDict::stereorackcontainer

private

Definition at line 505 of file gx_main_window.h.

Referenced by get_stereorackcontainer().

## stereotargets

std::vector<std::string> PluginDict::stereotargets

private

Definition at line 508 of file gx_main_window.h.

## toolpalette

Gtk::ToolPalette& PluginDict::toolpalette

private

Definition at line 512 of file gx_main_window.h.

Referenced by PluginDict().

## uimanager

UIManager& PluginDict::uimanager

private

Definition at line 513 of file gx_main_window.h.

Referenced by PluginDict().

The documentation for this class was generated from the following file:

- src/headers/gx_main_window.h